/*------------------------------------------------*
 | File: BEGINEND.h - Include file for BEGINEND.c |
 *------------------------------------------------*/

/**
 | #define's
 | - parameters of the button gadgets
 | - parameters of the checkbutton gadget
 | - parameters of the scroller gadget
 | - parameters of the "break window"gadgets
 | - parameters of the output window
 | - parameters of the AutoRequester
**/

#define NUM_BUT         5
#define GAD_LEFT        8
#define GAD_TOP       157
#define GAD_WIDTH      61
#define GAD_HEIGHT     25
#define GAD_DX1        72
#define GAD_DX2       336

#define CBG_LEFT      355
#define CBG_TOP       165
#define CBG_WIDTH      26
#define CBG_HEIGHT     11

#define SCR_TOP         5
#define SCR_LEFT      603
#define SCR_WIDTH      21
#define SCR_HEIGHT    145
#define ARROW_HEIGHT    8

#define BKG_TOP         6
#define BKG_LEFT       11
#define BKG_WIDTH     180
#define BKG_HEIGHT     30

#define WIN_LEFT        0
#define WIN_TOP         0
#define WIN_WIDTH     640
#define WIN_HEIGHT    189
#define WIN_IDCMP1    IDCMP_REFRESHWINDOW
#define WIN_IDCMP2    SCROLLERIDCMP
#define WIN_IDCMP     (WIN_IDCMP1 | WIN_IDCMP2)
#define ZB_LEFT        20
#define ZB_TOP          1
#define ZB_WIDTH      150

#define AR_ITX         24
#define AR_ITY         12
#define AR_OKX          6
#define AR_OKY          3
#define AR_WX         320
#define AR_WY          60

/**
 | Version tag string
**/

static char VersionTag[] =
  "\0$VER: " PROG_NAME " v" REVISION " - MLO " LAST_CHANGED ;

/**
 | Local procedure prototypes
**/

static void HelpScreen(void);
static void IntuiInit(void);
